vigra - YPrimePbPr2RGBPrimeFunctor< T > Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| YPrimePbPr2RGBPrimeFunctor< T > Class Template Reference Color Space Conversions |

Convert Y'PbPr color difference components into non-linear (gamma corrected) R'G'B'. More...

`#include <vigra/colorconversions.hxx>`

## Public Types
typedef TinyVector< T, 3 > | argument_type
typedef TinyVector< T, 3 > | result_type
typedef TinyVector< T, 3 > | value_type

## Public Member Functions
template<class V >
result_type | operator() (V const &ypbpr) const
| YPrimePbPr2RGBPrimeFunctor ()
| YPrimePbPr2RGBPrimeFunctor (component_type max)

## Detailed Description

### template<class T>
class vigra::YPrimePbPr2RGBPrimeFunctor< T >

Convert Y'PbPr color difference components into non-linear (gamma corrected) R'G'B'.

#include <vigra/colorconversions.hxx>
Namespace: vigra

The functor realizes the inverse of the transformation described in vigra::RGBPrime2YPrimePbPrFunctor

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)

Examples:
  palette.cxx.

## Member Typedef Documentation

typedef TinyVector<T, 3> argument_type

the functor's argument type. (Actually, the argument type can be any vector type with the same interface. But this cannot be expressed in a typedef.)

typedef TinyVector<T, 3> result_type

the functor's result type

typedef TinyVector<T, 3> value_type

Deprecated:
  use argument_type and result_type

## Constructor & Destructor Documentation

YPrimePbPr2RGBPrimeFunctor | ( |  | ) |

default constructor. The maximum value for each RGB component defaults to 255.

YPrimePbPr2RGBPrimeFunctor | ( | component_type | max | ) |

constructor

- max - the maximum value for each RGB component

## Member Function Documentation

result_type operator() | ( | V const & | ypbpr | ) | const

apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1 (Fri May 19 2017)